Package org.apache.sling.distribution.journal.shared

## Class Topics

- java.lang.Object
- - org.apache.sling.distribution.journal.shared.Topics

    public class Topics
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `Topics.TopicsConfiguration`

### Field Summary

Fields
`static String` `COMMAND_TOPIC`
`static String` `DISCOVERY_TOPIC`
`static String` `EVENT_TOPIC`
`static String` `PACKAGE_TOPIC`
`static String` `STATUS_TOPIC`

### Constructor Summary

Constructors
`Topics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(Topics.TopicsConfiguration config)`
`String` `getCommandTopic()`
`String` `getDiscoveryTopic()`
`String` `getEventTopic()`
`String` `getPackageTopic()`
`String` `getStatusTopic()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PACKAGE_TOPIC

    public static final String PACKAGE_TOPIC

See Also:
  Constant Field Values

#### DISCOVERY_TOPIC

    public static final String DISCOVERY_TOPIC

See Also:
  Constant Field Values

#### STATUS_TOPIC

    public static final String STATUS_TOPIC

See Also:
  Constant Field Values

#### COMMAND_TOPIC

    public static final String COMMAND_TOPIC

See Also:
  Constant Field Values

#### EVENT_TOPIC

    public static final String EVENT_TOPIC

See Also:
  Constant Field Values

### Constructor Detail

#### Topics

    public Topics()

### Method Detail

#### activate

    public void activate​(Topics.TopicsConfiguration config)

#### getPackageTopic

    public String getPackageTopic()

#### getDiscoveryTopic

    public String getDiscoveryTopic()

#### getStatusTopic

    public String getStatusTopic()

#### getCommandTopic

    public String getCommandTopic()

#### getEventTopic

    public String getEventTopic()